package MT::Plugin::LightBox2MT;

use strict;
use MT;
use MT::Plugin;

use base qw( MT::Plugin );
@MT::Plugin::LightBox2MT::ISA = qw( MT::Plugin );

my $plugin = new MT::Plugin::LightBox2MT({
	name => 'LightBox2MT',
	id => 'LightBox2MT',
	key => 'LightBox2MT',
	version => '1.01',
	doc_link => 'http://blog.webcreativepark.net/2008/05/19-235050.html',
	author_name => 'Kazuma Nishihata',
	author_link => 'http://www.to-r.net',
	description => '<MT_TRANS phrase=\'_PLUGIN_DESCRIPTION\'>',
	l10n_class => 'LightBox2MT::L10N'
});

MT->add_plugin ($plugin);

sub init_registry {
	my $plugin = shift;
	$plugin->registry({
		callbacks => {
			'MT::App::CMS::template_source.asset_insert'
					=> \&_asset_insert,
		},
	});
}

sub _asset_insert{
	my ($eh, $app, $tmpl_ref) = @_;
	my $old = <<HTML;
window.parent.app.insertHTML( '<mt:var name="upload_html" escape="js">', '<mt:var name="edit_field" escape="js">' );
HTML
	$old = quotemeta($old);
	my $new= <<HTML;
	var field = '<mt:var name="EDIT_FIELD">';
	var tag = '<mt:var name="upload_html" escape="js">';
	if(field==""){
	tag = tag.replace('<a ' , '<a rel="lightbox" ');
	}
	window.parent.app.insertHTML( tag, '<mt:var name="edit_field" escape="js">' );
HTML
	$$tmpl_ref =~ s/$old/$new/;
	
}

1;
